/* First, create our posts table: */
CREATE TABLE posts (
    id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    title VARCHAR(50),
    body TEXT,
    created DATETIME DEFAULT NULL,
    modified DATETIME DEFAULT NULL
);

/* Then insert some posts for testing: */
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars (Main)', 'Star Wars is an American epic space opera franchise centered on a film series created by George Lucas. The film series, consisting of two trilogies, has spawned an extensive media franchise called the Expanded Universe including books, television series, computer and video games, and comic books. These supplements to the franchise resulted in significant development of the series\' fictional universe, keeping the franchise active in the 16-year interim between the two film trilogies. The franchise depicts a galaxy described as far, far away in the distant past, and it commonly portrays Jedi as a representation of good, in conflict with the Sith, their evil counterpart. Their weapon of choice, the lightsaber, is commonly recognized in popular culture. The franchise\'s storylines contain many themes, with strong influences from philosophy and religion.

The first film in the series was originally released on May 25, 1977, under the title Star Wars, by 20th Century Fox, and became a worldwide pop culture phenomenon, followed by two sequels, released at three-year intervals. Sixteen years after the release of the trilogy\'s final film, the first in a new prequel trilogy of films was released. The three prequel films were also released at three-year intervals, with the final film of the trilogy released on May 19, 2005. In October 2012, The Walt Disney Company acquired Lucasfilm for $4.05 billion and announced that it would produce three new films, with the first film, Star Wars Episode VII, planned for release in 2015.[1] 20th Century Fox still retains the distribution rights to the first two Star Wars trilogies, owning permanent rights for the original film Episode IV: A New Hope, while holding the rights to Episodes IIII, V, and VI until May 2020.[2]

Reactions to the original trilogy were mostly positive, with the last film being considered the weakest, while the prequel trilogy received a more mixed reaction, with most of the praise being for the final film, according to most review aggregator websites. All six of the main films in the series were also nominated for or won Academy Awards. All of the main films have been box office successes, with the overall box office revenue generated by the Star Wars films (including the theatrical Star Wars: The Clone Wars) totalling $4.38 billion,[3] making it the fifth-highest-grossing film series.[4] The success has also led to multiple re-releases in theaters for the series.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars: A New Hope', 'Star Wars, later retitled Star Wars Episode IV: A New Hope,[4] is a 1977 American epic space opera film[5] written and directed by George Lucas. It is the first installment in the Star Wars series. The film stars Mark Hamill, Harrison Ford, Carrie Fisher, Peter Cushing and Sir Alec Guinness. In the film, a group of freedom fighters known as the Rebel Alliance plot to destroy the powerful Death Star space station, a devastating weapon created by the evil Galactic Empire. This conflict disrupts the isolated life of farmboy Luke Skywalker when he inadvertently acquires the droids carrying the stolen plans to the Death Star. After the Empire begins a cruel and destructive search for the droids, Skywalker decides to accompany Jedi Knight Obi-Wan Kenobi on a daring mission to rescue the owner of the droids, rebel leader Princess Leia, and save the galaxy.

Lucas began writing the script to Star Wars after completing his previous film American Graffiti and based the plot outline on Akira Kurosawa\'s The Hidden Fortress and the 40\'s Flash Gordon serials. Lucas approached Alan Ladd, Jr. after United Artists and Universal Pictures rejected his script and the project was planned to be financed and released through 20th Century Fox. During this time, the script underwent numerous changes and Lucas founded Industrial Light & Magic to create the visual effects for the film. Filming began on March 22, 1976, and was shot in various locations in Tunisia, England and Guatemala. During production, Lucas and the crew encountered numerous problems such as weather problems, malfunctioning equipment, as well as budgetary concerns. Eventually, Lucas, along with producer Gary Kurtz and production supervisor Robert Watts, split the crew into three units to meet the studio\'s deadlines. During post production, sound designer Ben Burtt used various animal roars, cables and other sound effects to create an "organic soundtrack" and composer John Williams used leitmotifs in his score at Lucas\' requests.

Star Wars was released theatrically in the United States on May 25, 1977. The film earned $460 million in the United States and $314 million overseas, surpassing Jaws as the nominal highest-grossing film, and it remained that way until being surpassed by E.T. the Extra Terrestrial in 1983. When adjusted for inflation, it is the second-highest-grossing film in the US and Canada and is the third-highest-grossing in the world as of 2013. Among the many awards the film received, it gained ten Academy Award nominations, winning six; the nominations included Best Supporting Actor for Alec Guinness and Best Picture. The film is often ranked as one of the best films of all time. The film has since been preserved into the National Film Registry by the Library of Congress in its first year of opening (being the most recent one to do so at the time), with its accompanying soundtrack joining it into the National Recording Registry 15 years later, both being called "culturally, historically, or aesthetically significant." Lucas has re-released the film on several occasions, sometimes with significant changes; the most notable versions are the 1997 Special Edition, the 2004 DVD release, and the 2011 Blu-ray release, which have modified computer-generated effects, altered dialogue, re-edited shots, remixed soundtracks, and added scenes. Following the film\'s massive success in 1977, it spawned two sequels, The Empire Strikes Back (1980) and Return of the Jedi (1983), both of which became box office successes and received positive reviews. A prequel trilogy was released between 1999 and 2005. A sequel trilogy is in development, with most of the film\'s main cast planned to return for Star Wars Episode VII in 2015.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars: The Empire Strikes Back', 'The Empire Strikes Back, later released as Star Wars Episode V: The Empire Strikes Back, is a 1980 American epic space opera film directed by Irvin Kershner, produced by Gary Kurtz, and written by Leigh Brackett and Lawrence Kasdan, with George Lucas writing the film\'s story and serving as executive producer. Of the six main Star Wars films, it was the second to be released and the fifth in terms of internal chronology.

The film is set three years after Star Wars. The Galactic Empire, under the leadership of the villainous Darth Vader, is in pursuit of Luke Skywalker and the rest of the Rebel Alliance. While Vader chases a small band of Luke\'s friendsHan Solo, Princess Leia Organa, and othersacross the galaxy, Luke studies the Force under Jedi Master Yoda. But when Vader captures Luke\'s friends, Luke must decide whether to complete his training and become a full Jedi Knight or to confront Vader and save his comrades.

Following a difficult production, The Empire Strikes Back was released on May 21, 1980, and initially received mixed reviews from critics, although it has since grown in esteem, becoming the most critically acclaimed chapter in the Star Wars saga and is considered one of the greatest films ever made.[6][7][8][9] It became the highest-grossing film of 1980 and, to date, has earned more than $538 million worldwide from its original run and several re-releases. When adjusted for inflation, it is the 12th-highest-grossing film in North America.[10]

In 2010, the film was selected for preservation in the National Film Registry by the Library of Congress for being "culturally, historically, and aesthetically significant."', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars: Return of the Jedi', 'Return of the Jedi, later released as Star Wars Episode VI: Return of the Jedi, is a 1983 American epic space opera film directed by Richard Marquand and written by George Lucas and Lawrence Kasdan, with Lucas as executive producer. It is the third film released in the Star Wars franchise and the first film to use THX technology. The film is set approximately one year after The Empire Strikes Back[2] and was produced by Howard Kazanjian and Lucasfilm Ltd.

The evil Galactic Empire, under the direction of the ruthless Emperor Palpatine, is constructing a second Death Star in order to crush the Rebel Alliance. Since Palpatine plans to personally oversee the final stages of its construction, the Rebel Fleet launches a full-scale attack on the Death Star in order to prevent its completion and kill Palpatine, effectively bringing an end to the Empire. Meanwhile, Luke Skywalker, a Rebel leader and Jedi Apprentice, struggles to bring Darth Vader, who is his father Anakin and himself a fallen Jedi, back from the Dark Side of the Force.

David Lynch and David Cronenberg were considered to direct the project before Marquand signed on as director. The production team relied on Lucas\' storyboards during pre-production. While writing the shooting script, Lucas, Kasdan, Marquand, and producer Howard Kazanjian spent two weeks in conference discussing ideas to construct it. Kazanjian\'s schedule pushed shooting to a few weeks earlier to allow Industrial Light & Magic to work on the film\'s effects in post-production. Filming took place in England, California, and Arizona from January to March 1982, with Lucas handling second unit work. Strict secrecy surrounded the production and the film used the working title Blue Harvest to prevent price gouging.

The film was released in theaters on May 25, 1983, receiving mostly positive reviews. The film grossed over $475 million worldwide. Several home video and theatrical releases and revisions to the film followed over the next 20 years. Star Wars continued with Episode I: The Phantom Menace as part of the film series\' prequel trilogy. A sequel, Star Wars Episode VII, was announced on October 30, 2012 and it\'ll be release at December 18 of 2015.[3]', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars Episode I: The Phantom Menace', 'Star Wars Episode I: The Phantom Menace is a 1999 American epic space opera film written and directed by George Lucas. It is the fourth film to be released in the Star Wars saga, as the first of a three-part prequel to the original Star Wars trilogy, as well as the first film in the saga in terms of story chronology. The film was also Lucas\' first production as a film director after a 22-year hiatus following the original Star Wars film, and only his fourth overall.

The film follows the Jedi Knight Qui-Gon Jinn and his apprentice Obi-Wan Kenobi, who escort and protect Queen Amidala in traveling from the planet Naboo to the planet Coruscant in the hope of finding a peaceful end to a large-scale interplanetary trade dispute. It also features a young Anakin Skywalker before he became a Jedi, introduced as a young slave boy who seems to be unusually strong with nascent powers of the Force, and must contend with the mysterious return of the Sith.

Lucas began production of this film after he had concluded that the science of film special effects had advanced to the level of what he wanted for his fourth film in the saga. Its filming took place during 1997 (started on June 26, 1997) at various locations including Leavesden Film Studios and the Tunisian desert. Its visual effects included extensive use of computer-generated imagery (CGI), with some of its characters and settings being completely computerized and not existing at all in the real world.

The film premiered in theaters on May 19, 1999, sixteen years after the premiere of the previous Star Wars film, Return of the Jedi on May 25, 1983. The film\'s premiere was accompanied by considerable hype, extensive media coverage and great anticipation, due to the large cultural following its predecessors had created. Despite mixed reviews by critics, who tended to praise the visuals and action sequences but criticize the writing, characterization and acting, it grossed more than $924.3 million worldwide during its initial run in theaters, making it the second-highest-grossing film at the time (behind Titanic), the highest-grossing film of 1999, the highest-grossing Star Wars film, and the fifth-highest-grossing film in North America (unadjusted for inflation). A 3D reissue was released in February 2012, which has earned an additional $102.7 million at the box office, bringing the film\'s overall worldwide total to over $1 billion, making it the 15th-highest-grossing film of all time. It is both the highest-grossing film directed by Lucas and produced by Lucasfilm.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars Episode II: Attack of the Clones', 'Star Wars Episode II: Attack of the Clones is a 2002 American epic space opera film directed by George Lucas and written by Lucas and Jonathan Hales. It is the fifth film to be released in the Star Wars saga and the second in terms of the series\'s internal chronology. At 142 minutes, it is the longest film in the series.

The film is set 10 years after the events in Star Wars Episode I: The Phantom Menace, when the galaxy is on the brink of civil war. Under the leadership of a renegade Jedi named Count Dooku, thousands of planetary systems threaten to secede from the Galactic Republic. When an assassination attempt is made on Senator Padm Amidala, the former Queen of Naboo, Jedi apprentice Anakin Skywalker is assigned to protect her, while his mentor Obi-Wan Kenobi is assigned to investigate the assassination attempt. Soon, Anakin, Padm, and Obi-Wan are drawn into the heart of the Separatist territories and the beginning of a new threat to the galaxy, the Clone Wars.

Released on May 16, 2002, Attack of the Clones was one of the first motion pictures to be shot completely on a high definition digital 24-frame system. It garnered mostly mixed to positive reviews from critics[2] and was a financial success; however, it also became the first Star Wars film to be internationally out-grossed in its year of release.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars Episode III: Revenge of the Sith', 'Star Wars Episode III: Revenge of the Sith is a 2005 American epic space opera film written and directed by George Lucas. It is the sixth film released in the Star Wars franchise and stars Ewan McGregor, Natalie Portman, Hayden Christensen, Ian McDiarmid, Samuel L. Jackson, Christopher Lee, Anthony Daniels, Kenny Baker and Frank Oz. The film is set three years after the onset of the Clone Wars and was produced by Rick McCallum and Lucasfilm.

The Jedi Knights are spread out across the galaxy leading a massive clone army in the war against the Separatists. The Jedi Council dispatches Jedi Master Obi-Wan Kenobi to eliminate the evil General Grievous, leader of the Separatist Army. Meanwhile, Jedi Knight Anakin Skywalker, separated from Kenobi, his former master, grows close to Palpatine, the Chancellor of the Galactic Republic and, unknown to the public, a Sith Lord. Their deepening friendship proves dangerous for the Jedi Order, the Republic, and Anakin himself who inevitably succumbs to the dark side of the Force and becomes Darth Vader, changing the fate of the galaxy forever.

Lucas began writing the script before production of Star Wars Episode II: Attack of the Clones began. Filming took place in Australia with additional locations in Thailand and Italy, and lasted over three months. Revenge of the Sith premiered on May 15, 2005 at the Cannes Film Festival in Cannes, France and had its general release on May 19, 2005. The film received generally positive reviews from critics, especially in contrast to the previous two prequels.

Revenge of the Sith broke several box office records during its opening week and went on to earn over $848 million worldwide,[1] making it the second-highest-grossing film in the Star Wars franchise (not adjusting for inflation). It was the highest-grossing film of 2005 in the U.S., and the second-highest-grossing film of 2005 worldwide behind Harry Potter and the Goblet of Fire.[1] As of January 2014, it is the 37th-highest-grossing film. In 2012, following the acquisition of Lucasfilm by The Walt Disney Company, the Star Wars sequel trilogy was announced, with Star Wars Episode VII being planned for release in 2015.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Star Wars: The Clone Wars (film)', 'Star Wars: The Clone Wars is a 2008 American computer-animated space opera film that takes place within the Star Wars saga, leading into the TV series of the same name. The film is set during the three-year time period between the films Attack of the Clones and Revenge of the Sith (the same time period as the 2003 Clone Wars television series). Distributed by Warner Bros. Pictures, which also holds the home media distribution rights to both this film and the TV series, the film premiered on August 10, 2008 at the Grauman\'s Egyptian Theatre, while screening in wide-release on August 14, 2008 across Australia, and August 15 in the United States, Canada and the United Kingdom. The Clone Wars was an introduction to the television series of the same name, which debuted on October 3, 2008.

This Star Wars spin-off is notable for being the first animated theatrical film for the franchise. The film is also the only film not distributed by 20th Century Fox, which distributed the entire saga, until the Lucasfilm acquisition by The Walt Disney Company, while also being the third theatrical Star Wars film to be directed by someone other than George Lucas including The Empire Strikes Back\'s Irvin Kershner and Return of the Jedi\'s Richard Marquand. It is also the only theatrical Star Wars film to date not scored by John Williams  Kevin Kiner was hired to compose original music, which was combined with selected John Williams themes from previous Star Wars films.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('Lego Star Wars: The Quest for R2-D2', 'Lego Star Wars: The Quest for R2-D2 is a 2009 comedy short film directed by a director Peder Pedersen and produced by M2Film for Lego and Cartoon Network in collaboration with Lucasfilm.

It was made as a follow-up to Lego Indiana Jones and the Raiders of the Lost Brick (2008) and premiered on Cartoon Network on August 27, 2009, "in celebration of 10 years of LEGO Star Wars".[1][2] The story follows the characters from the 2008 series, Star Wars: The Clone Wars. Similar to Lego Indiana Jones and the Raiders of the Lost Brick the film also includes several inside-jokes that pay homage to the Star Wars series, the Indiana Jones films and George Lucas\'s THX 1138.', NOW());
INSERT INTO posts (title,body,created)
    VALUES ('You Are a Star Wars God!', 'This is the last article taken from Wikipedia. <strong>You are now a Star Wars Expert</strong>', NOW());